- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_client_pool_t

# mongoc_client_pool_pop()

## Synopsis

    mongoc_client_t *
    mongoc_client_pool_pop (mongoc_client_pool_t *pool);

Retrieve a mongoc_client_t from the client pool, possibly blocking until one is available.

## Parameters

- `pool`: A mongoc_client_pool_t.

## Returns

A mongoc_client_t.

## Thread Safety

This function is safe to call from multiple threads.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.